## org.eclipse.wst.server.core.model
Interface IModuleResource

All Known Subinterfaces:
  IModuleFile, IModuleFolder

All Known Implementing Classes:
  ModuleFile, ModuleFolder

    public interface IModuleResource

A resource (file or folder) within a module.

Since:
  1.0

Method Summary
`IPath` `getModuleRelativePath()` Returns the module relative path to this resource.
`java.lang.String` `getName()` Returns the name of this resource.

Method Detail

### getModuleRelativePath

    IPath getModuleRelativePath()

  Returns the module relative path to this resource.

  Returns:
    the module relative path to this resource

### getName

    java.lang.String getName()

  Returns the name of this resource.

  Returns:
    the name of this resource